Skip to content
Judgment Labs
Esc
↑↓navigate↵open⌘Jpreview

Fetch test configs

Fetch Supabase-backed v1 test configs, optionally filtered by dataset.

GET/v1/projects/{projectId}/test-configs
Authorization
AuthorizationPersonal API key · headerrequired

Your personal API key from Settings > Personal API Keys, sent as Bearer <key>.

X-Organization-IdOrganization ID · headerrequired

The organization to act in. Copy it with Copy organization ID in the organization menu or the settings sidebar.

Path parameters
projectIdstringrequired
Query parameters
dataset_idstring
Responses
200

Response for status 200

test_configsobject[]required
Show properties
Array of object
idstringrequired
organization_idstring
project_idstringrequired
dataset_idstringrequired
namestringrequired
descriptionstring | null
Show properties
Any of:
string
string
null
null
created_atstring
updated_atstring
user_idstringrequired
judgesobject[]
Show properties
Array of object
idstring
organization_idstring
project_idstring
test_config_idstring
judge_idstringrequired
created_atstring
user_idstringrequired
judgeobject
Show properties
idstringrequired
namestringrequired
judge_typestringrequired
score_typestringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.judgmentlabs.ai/v1/projects/YOUR_PROJECT_ID/test-configs' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'X-Organization-Id: YOUR_ORGANIZATION_ID' \
  -H 'Accept: application/json'
Response
{
  "test_configs": [
    {
      "id": "string",
      "organization_id": "string",
      "project_id": "string",
      "dataset_id": "string",
      "name": "string",
      "description": "string",
      "created_at": "string",
      "updated_at": "string",
      "user_id": "string",
      "judges": [
        {
          "id": "string",
          "organization_id": "string",
          "project_id": "string",
          "test_config_id": "string",
          "judge_id": "string",
          "created_at": "string",
          "user_id": "string",
          "judge": {
            "id": "string",
            "name": "string",
            "judge_type": "string",
            "score_type": "string"
          }
        }
      ]
    }
  ]
}

Was this page helpful?